//
//  YLTabBarController.m
//  GoOff
//
//  Created by 石家庄盛航 on 16/4/25.
//  Copyright © 2016年 sjzshtx. All rights reserved.
//

#import "YLTabBarController.h"
#import "HomeController.h"
#import "SurroundingController.h"

@interface YLTabBarController ()

@end

@implementation YLTabBarController

- (void)viewDidLoad {
    [super viewDidLoad];
    HomeController *HomeVC = [[HomeController alloc] init];
    [self addChildViewController:HomeVC andTitle:@"首页" andImage:@"Home" selectedImage:@""];

    YLTabBar *tabBar = [[YLTabBar alloc] init];
    tabBar.delegate = self;
    [self setValue:tabBar forKeyPath:@"tabBar"];
    
    SurroundingController *SurroundingVC = [[SurroundingController alloc] init];
    [self addChildViewController:SurroundingVC andTitle:@"周边" andImage:@"surrounding" selectedImage:@""];
    

}

- (void)addChildViewController:(UIViewController *)childController andTitle:(NSString *)title andImage:(NSString *)image selectedImage:(NSString *)selectedImage{
    childController.title = title;
    childController.tabBarItem.image = [UIImage imageNamed:image];
    childController.tabBarItem.selectedImage = [[UIImage imageNamed:selectedImage] imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal];
    
    // 设置文字的样式
    
    NSMutableDictionary *textAttrs = [NSMutableDictionary dictionary];
    textAttrs[NSForegroundColorAttributeName] = HWColor(123, 123, 123);
    NSMutableDictionary *selectTextAttrs = [NSMutableDictionary dictionary];
    selectTextAttrs[NSForegroundColorAttributeName] = [UIColor orangeColor];
    [childController.tabBarItem setTitleTextAttributes:textAttrs forState:UIControlStateNormal];
    [childController.tabBarItem setTitleTextAttributes:selectTextAttrs forState:UIControlStateSelected];
    //    childVc.view.backgroundColor = HWRandomColor;
    
    // 先给外面传进来的小控制器 包装 一个导航控制器
    YLNavigationController *nav = [[YLNavigationController alloc] initWithRootViewController:childController];
    // 添加为子控制器
    [self addChildViewController:nav];



}
#pragma mark - HWTabBarDelegate代理方法
- (void)tabBarDidClickPlusButton:(YLTabBar *)tabBar
{
    UIViewController *vc = [[UIViewController alloc] init];
    vc.view.backgroundColor = [UIColor redColor];
    [self presentViewController:vc animated:YES completion:nil];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
